 /*
    Description: 	PHP Ajax Contact Form
    Author: 		InsideLab
    Version: 		1.0
*/

/*	--------------------------------------------------
	:: Contact Form
	-------------------------------------------------- */
	
	jQuery.noConflict()(function($){
	    $(document).ready(function(){
	        $('#contact input, textarea, label').tooltipster({
                trigger: 'custom',
                onlyOne: true,
                position: 'right'
            });
		});
	});
	
	jQuery.noConflict()(function($){
	    $.validator.methods.equal = function(value, element, param) {
		    return value == param;
	    };
	    $(document).ready(function(){
            $("#contact").validate({	
      			rules:{
					firstname:{
					    required:true
				    },
					lastname:{
					    required:true
				    },
					useremail:{
						required:true,
						email:true
					},
					usersubject:{
						required:true,
					},
					usermessage:{
						required:true,
						minlength:20
					},
					userfile1:{
						required:true,
                        extension:"jpg|png|gif|jpeg|pjpeg|doc|docx|pdf|xls|rar|zip",
						filesize:2097152
					},
					verification:{
					    required:true,
					    equal:18	
				    },
				},
				messages: {
			        firstname:{
						required: 'Please enter your First Name',
					},
					lastname:{
						required: 'Please enter your Last Name',
					},
					useremail:{
						required: 'Please enter your Email Address',
						email: 'Please enter a valid Email Address'
					},
					usersubject:{
						required: 'Please enter your Subject',
					},
					usermessage:{
						required: 'Please enter your desired message'
					},
					userfile1:{
						required: 'Please enter your file',
						extension: 'File not Supported only images & doc, docx, pdf, xls, rar, zip',
						filesize: 'Please enter your file with size of 2048KB'
					},
					verification:{
						required: 'Please enter your verification Code',
						equal: 'Please enter correct verification Code'
					},
		        },	
				errorPlacement: function (error, element) {
                    $(element).tooltipster('update', $(error).text());
                    $(element).tooltipster('show');
                },
                success: function (label, element) {
                    $(element).tooltipster('hide');
                },
				submitHandler:function(form) {
				    jQuery(form).ajaxSubmit({
					    target:'#contact-message',
                        beforeSubmit:function(){ 
                            $('#loader').show();
                        },
			            success:function(){ 
				            $('#loader').hide();
					        $("#contact-message").fadeIn(500);
							$("#contact").each(function(){
                                this.reset();
                            });
                        },
				    });
			    }
	        });
        });
	});